Need Berkley DB!!

greg andruk gerglery at usa.net
Mon Nov 1 12:36:23 CET 1999


Thomas Weholt <thomas at bibsyst.no> wrote:

> After I spent most of my weekend trying to get Berkley DB to work with
> Python on my Linux ( Suse 6.1) machine, I`ve now given up completly.
> I`ve tried to install DB.1.85. and DB.2.7.7, neither worked, either
> crashing under installation ( which of course, is not Python
> related ) or when I tried to test the installation with the examples in
> the documentation ( the wrapper for the 2.7.5-module listed at
> www.python.org, under modules, databases ).

You do have to much with the headers to make the stock db module
compile with DB 2.x.  If 1.85 isn't working for you , you've got,
well, a problem.

Python also supports GNU db, and pretty much every flavor of Linux
comes with that.  Can you use it instead?




More information about the Python-list mailing list